export declare type Asc<E extends Record<string, unknown>, K extends keyof E = keyof E> = {
    _tag: 'asc';
    key: K;
};
export declare const Asc: <E extends Record<string, unknown>, K extends keyof E = keyof E>(key: K) => Asc<E, K>;
export declare type Desc<E extends Record<string, unknown>, K extends keyof E = keyof E> = {
    _tag: 'desc';
    key: K;
};
export declare const Desc: <E extends Record<string, unknown>, K extends keyof E = keyof E>(key: K) => Desc<E, K>;
export declare type OrderBy<E extends Record<string, unknown>, K extends keyof E = keyof E> = Asc<E, K> | Desc<E, K>;
