import { CollectionReference, Query as FirestoreQuery } from '@google-cloud/firestore';
import { OrderBy } from './OrderBy';
import { Where } from './Where';
declare type Acc<X> = CollectionReference<X> | FirestoreQuery<X>;
export declare const query: <E extends Record<string, unknown>>(...queries: Where<E, keyof E>[]) => (...orderBy: OrderBy<E, keyof E>[]) => (limit?: import("./Limit").LimitToFirst | import("./Limit").LimitToLast | undefined) => (acc: Acc<E>) => FirestoreQuery<E>;
export {};
