import { CollectionReference, DocumentReference, FirestoreDataConverter, Query } from '@google-cloud/firestore';
import { ExtractReference } from './utils';
declare type Acc = DocumentReference | CollectionReference | Query;
export declare const withConverter: <X>(converter: FirestoreDataConverter<X>) => <T extends Acc>(acc: T) => ExtractReference<T, X>;
export {};
